/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2004_EN_DELIMITED.dct, clear
/*
label define  nace_cl2 10   "Mining and quarying (NACE10-NACE14)" 15   "Manufacture of food products and beverages; manufacture of tobacco products (NACE15-NACE16)" 17   "Manufacture of textiles" 18   "Manufacture of wearing apparel, dressing and dyeing of fur" 19   "Tanning and dressing of leather, manufacture of luggage, handbags, saddlery, harness and footwear" 20   "Manufacture of wood and products of wood and cork, except furniture, manufacture of articles of straw and plaiting materials" 21   "Manufacture of pulp, paper and paper products" 22   "Publishing, printing and reproduction of recorded media" 23   "Manufacture of coke, refined petroleum products and nuclear fuel" 24   "Manufacture of chemicals and chemical products" 25   "Manufacture of rubber and plastic products" 26   "Manufacture of other non-metallic mineral products" 27   "Manufacture of basic metals" 28   "Manufacture of fabricated metal products, except machinery and equipment" 29   "Manufacture of machinery and equipment n.e.c.5" 30   "Manufacture of electrical and optical equipment" 31   "Manufacture of electrical machinery and apparatus n.e.c.5" 32   "Manufacture of radio, television and communication equipment and apparatus" 33   "Manufacture of medical, precision and optical instruments, watches and clocks" 34   "Manufacture of motor vehicles, trailers and semi-trailers" 35   "Manufacture of other transport equipment" 36   "Manufacture of furniture, manufacturing n.e.c.5" 37   "Recycling" 40   "Electricity, gas and water supply (NACE40-NACE41)" 45   "Construction" 50   "Sale, maintenance and repair of motor vehicles and motorcycles, retail sale of automotive fuel" 51   "Wholesale trade and commission trade, except of motor vehicles and motorcycles" 52   "Retail trade, except of motor vehicles and motorcycles, repair of personal and household goods" 55   "Hotels and restaurants" 60   "Land transport, transport via pipelines" 61   "Water transport" 62   "Air transport" 63   "Supporting and auxiliary transport activities, activities of travel agencies" 64   "Post and telecommunications" 65   "Financial intermediation, except insurance and pension funding" 66   "Insurance and pension funding, except compulsory social security" 67   "Activities auxiliary to financial intermediation" 70   "Real estate activities" 71   "Renting of machinery and equipment without operator and of personal and house" 72   "Computer and related activities" 73   "Research and development" 74   "Other business activities, different from Nace 742 and 743" 742   "architectural and engineering activities" 743   "technical testing and analysis"  
label define  gp_cl3 .   "missing" 0   "No" 1   "Yes"  
label define  ho_cl4 .   "missing or non applicable" 0   "the enterprise does not belong to a group" 1   "Home country (Italy)" 2   "Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, " 3   "rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virg"  
label define  marloc_cl5 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  marnat_cl6 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  mareur_cl7 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  maroth_cl8 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpdgd_cl9 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpdsv_cl10 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpdtw_cl11 .   "missing or non applicable" 1   "Mainly by the enterprise or enterprise group" 2   "In cooperation with other enterprises or institutions" 3   "Mainly other enterprises or institutions"  
label define  newmkt_cl12 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  newffrm_cl13 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpspd_cl17 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpslg_cl18 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpssu_cl19 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  inpcsw_cl20 .   "missing" 1   "Mainly by the enterprise or enterprise group" 2   "Inn cooperation with other enterprises or institutions" 3   "Mainly other enterprises or institutions"  
label define  inonab_cl21 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rrdin_cl22 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rdeng_cl23 .   "missing or non applicable" 1   "continuously" 2   "occasionally"  
label define  rrdex_cl24 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rmac_cl25 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  roek_cl26 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rpre_cl27 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rtr_cl28 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  rmar_cl29 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  funloc_cl38 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  fungmt_cl39 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  funeu_cl40 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  funrtd_cl41 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  sentg_cl42 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  ssup_cl43 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  scli_cl44 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  scom_cl45 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  sins_cl46 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  suni_cl47 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  sgmt_cl48 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  scon_cl49 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  sjou_cl50 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  spro_cl51 .   "missing or non applicable" 0   "Not used" 1   "Low" 2   "Medium" 3   "High"  
label define  co_cl52 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co11_cl53 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co12_cl54 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co13_cl55 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co14_cl56 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co21_cl57 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co22_cl58 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co23_cl59 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co24_cl60 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co31_cl61 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co32_cl62 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co33_cl63 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co34_cl64 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co41_cl65 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co42_cl66 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co43_cl67 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co44_cl68 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co51_cl69 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co52_cl70 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co53_cl71 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co54_cl72 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co61_cl73 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co62_cl74 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co63_cl75 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co64_cl76 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co71_cl77 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co72_cl78 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co73_cl79 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  co74_cl80 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  erange_cl82 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  emar_cl83 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  equa_cl84 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  eflex_cl85 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  ecap_cl86 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  elbr_cl87 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  emat_cl88 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  eenv_cl89 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  estd_cl90 .   "missing or non applicable" 0   "Not relevant" 1   "Low" 2   "Medium" 3   "High"  
label define  hcon_cl91 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hbeg_cl92 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hdlay_cl93 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  hfent_cl94 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hfout_cl95 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hcos_cl96 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hper_cl97 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  htec_cl98 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hinf_cl99 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hpar_cl100 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hdom_cl101 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hdem_cl102 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hprior_cl103 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  hmar_cl104 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  propat_cl105 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  prodsg_cl106 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  protm_cl107 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  procp_cl108 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  orgsys_cl109 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  orgstr_cl110 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  orgrel_cl111 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  mktdes_cl112 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  mktmet_cl113 .   "missing or non applicable" 0   "No" 1   "Yes"  
label define  efored_cl114 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  eforqu_cl115 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  eforco_cl116 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  eforsa_cl117 .   "missing or non applicable" 0   "Not experienced" 1   "Low" 2   "Medium" 3   "High"  
label define  emp02_cl120 1   "0-49 employees" 2   "50-249 employees" 3   "more than 250 employees" 2_3   "only for NACE 10, 19,20, 23, 50, 61, 64, 67, 70, 73, 742 and 743, class 2 and class 3 are aggregated into a new one, category 2_3" 1_2_3   "only for NACE 30, 37, 62 and 71 all number of employees classes are aggregated into a single one, category 1_2_3"  
label define  emp04_cl121 1   "0-49 employees" 2   "50-249 employees" 3   "more than 250 employees" 2_3   "only for NACE 10, 19,20, 23, 50, 61, 64, 67, 70, 73, 742 and 743, class 2 and class 3 are aggregated into a new one, category 2_3" 1_2_3   "only for NACE 30, 37, 62 and 71 all number of employees classes are aggregated into a single one, category 1_2_3"  
label values  nace nace_cl2
label values  gp gp_cl3
label values  ho ho_cl4
label values  marloc marloc_cl5
label values  marnat marnat_cl6
label values  mareur mareur_cl7
label values  maroth maroth_cl8
label values  inpdgd inpdgd_cl9
label values  inpdsv inpdsv_cl10
label values  inpdtw inpdtw_cl11
label values  newmkt newmkt_cl12
label values  newffrm newffrm_cl13
label values  inpspd inpspd_cl17
label values  inpslg inpslg_cl18
label values  inpssu inpssu_cl19
label values  inpcsw inpcsw_cl20
label values  inonab inonab_cl21
label values  rrdin rrdin_cl22
label values  rdeng rdeng_cl23
label values  rrdex rrdex_cl24
label values  rmac rmac_cl25
label values  roek roek_cl26
label values  rpre rpre_cl27
label values  rtr rtr_cl28
label values  rmar rmar_cl29
label values  funloc funloc_cl38
label values  fungmt fungmt_cl39
label values  funeu funeu_cl40
label values  funrtd funrtd_cl41
label values  sentg sentg_cl42
label values  ssup ssup_cl43
label values  scli scli_cl44
label values  scom scom_cl45
label values  sins sins_cl46
label values  suni suni_cl47
label values  sgmt sgmt_cl48
label values  scon scon_cl49
label values  sjou sjou_cl50
label values  spro spro_cl51
label values  co co_cl52
label values  co11 co11_cl53
label values  co12 co12_cl54
label values  co13 co13_cl55
label values  co14 co14_cl56
label values  co21 co21_cl57
label values  co22 co22_cl58
label values  co23 co23_cl59
label values  co24 co24_cl60
label values  co31 co31_cl61
label values  co32 co32_cl62
label values  co33 co33_cl63
label values  co34 co34_cl64
label values  co41 co41_cl65
label values  co42 co42_cl66
label values  co43 co43_cl67
label values  co44 co44_cl68
label values  co51 co51_cl69
label values  co52 co52_cl70
label values  co53 co53_cl71
label values  co54 co54_cl72
label values  co61 co61_cl73
label values  co62 co62_cl74
label values  co63 co63_cl75
label values  co64 co64_cl76
label values  co71 co71_cl77
label values  co72 co72_cl78
label values  co73 co73_cl79
label values  co74 co74_cl80
label values  erange erange_cl82
label values  emar emar_cl83
label values  equa equa_cl84
label values  eflex eflex_cl85
label values  ecap ecap_cl86
label values  elbr elbr_cl87
label values  emat emat_cl88
label values  eenv eenv_cl89
label values  estd estd_cl90
label values  hcon hcon_cl91
label values  hbeg hbeg_cl92
label values  hdlay hdlay_cl93
label values  hfent hfent_cl94
label values  hfout hfout_cl95
label values  hcos hcos_cl96
label values  hper hper_cl97
label values  htec htec_cl98
label values  hinf hinf_cl99
label values  hpar hpar_cl100
label values  hdom hdom_cl101
label values  hdem hdem_cl102
label values  hprior hprior_cl103
label values  hmar hmar_cl104
label values  propat propat_cl105
label values  prodsg prodsg_cl106
label values  protm protm_cl107
label values  procp procp_cl108
label values  orgsys orgsys_cl109
label values  orgstr orgstr_cl110
label values  orgrel orgrel_cl111
label values  mktdes mktdes_cl112
label values  mktmet mktmet_cl113
label values  efored efored_cl114
label values  eforqu eforqu_cl115
label values  eforco eforco_cl116
label values  eforsa eforsa_cl117
label values  emp02 emp02_cl120
label values  emp04 emp04_cl121
*/
save  ISTAT_MFR_CIS_Microdata_2004_FILE_STRUCTURE_EXAMPLE.dta, replace
