/*    LIMITAZIONE DELLA RESPONSABILITA'. 
  Il software  fornito "cos com'", senza garanzie di ogni sorta.               */
%macro grabpath;
%qsubstr(%sysget(SAS_EXECFILEPATH),1,%length(%sysget(SAS_EXECFILEPATH))-%length(%sysget(SAS_EXECFILEname)))
%mend grabpath;
%let path = %grabpath;
%let nomeFile =ISTAT_MFR_CIS_Microdata_2004_FILE_STRUCTURE_EXAMPLE.txt;
LIBNAME ISTAT "&path";
DATA ISTAT.CIS_2004;

INFILE "&path&nomeFile" DLM='5E'x  LRECL=6000 TRUNCOVER FIRSTOBS=2 IGNOREDOSEOF;
INPUT 
Id :$1.   /*  Name of the enterprise */
Nuts :$2.   /*  Address */
Nace :$3.   /*  Main economic activity */
Gp :$1.   /*  Enterprise part of a group */
Ho :$1.   /*  Country of head office */
MarLoc :$1.   /*  Local/regional market */
MarNat :$1.   /*  National l market */
MarEur :$1.   /*  Other EU/EFTA/CC  market */
MarOth :$1.   /*  All other countries */
InPdgd :$1.   /*  Introduced onto the market a new or significantly improved good */
InPdsv :$1.   /*  Introduced onto the market a new or significantly improved service */
InPdtw :$1.   /*  Who mainly developed these products */
NewMkt :$1.   /*  Did the enterprise introduce a product new to the market */
NewfFrm :$1.   /*  Did the enterprise introduce a product new to the firm */
TurnMar :4.2   /*  % of turnover in new or improved products introduced during 2002-2004 that were new to the market */
TurnIn :4.2   /*  % of turnover in  unchanged or marginally modified products during 2002-2004 that were new to the firm */
TurnUng :4.2   /*  % of turnover in  unchanged or marginally modified products during 2002-2004 */
INPSPD :$1.   /*  Introduced onto the market a new or significantly improved method of production */
INPSLG :$1.   /*  Introduced onto the market a new or significantly improved logistic, delivery or distribution system */
INPSSU :$1.   /*  Introduced onto the market a new or significantly improved supporting activities */
INPCSW :$1.   /*  Who mainly developed these processes */
INONAB :$1.   /*  Enterprise with ongoing or abandoned innovation activities */
RrdIn :$1.   /*  Engagement in intramural R&D */
Rdeng :$1.   /*  Type of engagement in R&D */
RrdEx :$1.   /*  Engagement in extramural R&D */
RMac :$1.   /*  Engagement in acquisition of machinery */
ROek :$1.   /*  Engagement in other external knowledge */
RPre :$1.   /*  Engagement in other preparation */
RTr :$1.   /*  Engagement in training */
RMar :$1.   /*  Engagement in market introduction of innovation */
RrdInX :6.   /*  Expenditure in intramural R&D */
RrdExX :5.   /*  Expenditure in extramural R&D */
RMacX :6.   /*  Expenditure in acquisition of machinery */
ROekX :6.   /*  Expenditure in other external knowledge */
RPreX :5.   /*  Expenditure in other preparation */
RTrX :5.   /*  Expenditure in training */
RMarX :5.   /*  Expenditure in market introduction of innovation */
RTot :6.   /*  Total for four expenditure categories                  Rtot =(RrdInX+ RrdExX+ RMacX+ ROekX) */
FunLoc :$1.   /*  Public funding from local or regional authorities */
FunGmt :$1.   /*  Public funding from central government */
FunEu :$1.   /*  Public funding from the EU */
FunRtd :$1.   /*  Funding from EU's 5th or 6th RTD */
Sentg :$1.   /*  Sources from within the enterprise or enterprise group */
Ssup :$1.   /*  Sources from Suppliers of equipment, materials, etc. */
Scli :$1.   /*  Sources from Clients or customers */
Scom :$1.   /*  Sources from Competitors and other enterprises of same industry */
SINS :$1.   /*  Sources from consultants, commercial labs or private R&D institutes */
Suni :$1.   /*  Sources from Universities or other higher education institutes */
SGmt :$1.   /*  Sources from Government or public research institutes */
Scon :$1.   /*  Sources from professional conferences, trade fairs, meetings */
Sjou :$1.   /*  Sources from Scientific journals, trade/scientific publications */
Spro :$1.   /*  Sources from Professional and industry associations */
Co :$1.   /*  Cooperation arrangements on innovation activities */
Co11 :$1.   /*  Other enterprises within enterprise group : National */
Co12 :$1.   /*  Other enterprises within enterprise group : EU/EFTA/EU-CC */
Co13 :$1.   /*  Other enterprises within enterprise group : US */
Co14 :$1.   /*  Other enterprises within enterprise group : Other countries */
Co21 :$1.   /*  Suppliers of equipment, etc. : National */
Co22 :$1.   /*  Suppliers of equipment, etc. : EU/EFTA/EU-CC */
Co23 :$1.   /*  Suppliers of equipment, etc. : US */
Co24 :$1.   /*  Suppliers of equipment, etc. :  Other countries */
Co31 :$1.   /*  Clients or customers : National */
Co32 :$1.   /*  Clients or customers : EU/EFTA/EU-CC */
Co33 :$1.   /*  Clients or customers : US */
Co34 :$1.   /*  Clients or customers : Other countries */
Co41 :$1.   /*  Competitors or other firms  : National */
Co42 :$1.   /*  Competitors or other firms  : EU/EFTA/EU-CC */
Co43 :$1.   /*  Competitors or other firms  : US */
Co44 :$1.   /*  Competitors or other firms  : Other countries */
Co51 :$1.   /*  Consultants, commercial labs, private R&D institutes : National */
Co52 :$1.   /*  Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC */
Co53 :$1.   /*  Consultants, commercial labs, private R&D institutes : US */
Co54 :$1.   /*  Consultants, commercial labs, private R&D institutes : Other countries */
Co61 :$1.   /*  Universities or other  : National */
Co62 :$1.   /*  Universities or other  : EU/EFTA/EU-CC */
Co63 :$1.   /*  Universities or other  : US */
Co64 :$1.   /*  Universities or other  : Other countries */
Co71 :$1.   /*  Government or public research institutes: National */
Co72 :$1.   /*  Government or public research institutes:  EU/EFTA/EU-CC */
Co73 :$1.   /*  Government or public research institutes: US */
Co74 :$1.   /*  Government or public research institutes: Other countries */
Pmos :$1.   /*  Most important co-operation partner */
ERange :$1.   /*  Increased range of goods or services */
EMar :$1.   /*  Increased market or market share */
EQua :$1.   /*  Improved quality in goods or services */
EFLex :$1.   /*  Improved production flexibility */
ECap :$1.   /*  Increased production capacity */
ELbr :$1.   /*  Reduced labour costs per produced unit */
EMat :$1.   /*  Reduced materials and energy per produced unit */
EEnv :$1.   /*  Reduced environmental impact or health and safety aspects */
EStd :$1.   /*  Met regulations or standards */
HCon :$1.   /*  Innovation activity abandoned at concept stage */
HBeg :$1.   /*  Innovation activity  abandoned after the activity/project begun */
HDlay :$1.   /*  Innovation activity seriously delayed */
HFent :$1.   /*  Hampering factor: Lack of funds within enterprises or ent. group */
HFout :$1.   /*  Hampering factor : Lack of outside funds */
HCos :$1.   /*  Hampering factor : Innovation costs too high */
HPer :$1.   /*  Hampering factor : Lack of qualified personnel */
HTec :$1.   /*  Hampering factor : Lack of information on technology */
HInf :$1.   /*  Hampering factor : Lack of information on markets */
HPar :$1.   /*  Hampering factor : Difficulty in finding co-operation partners */
HDom :$1.   /*  Hampering factor : Market dominated by established enterprises */
HDem :$1.   /*  Hampering factor:  Uncertain demand for innovative goods/services */
Hprior :$1.   /*  No innovation activity due to prior innovations */
Hmar :$1.   /*  No innovation activity due to no demand for innovations */
PROPAT :$1.   /*  Applied for a patent */
PRODSG :$1.   /*  Registered an industrial design */
ProTm :$1.   /*  Register a trademark */
ProCp :$1.   /*  Claimed copyright */
ORGSYS :$1.   /*  Introduce improved knowledge management system */
ORGSTR :$1.   /*  Introduce change to work organisation */
ORGREL :$1.   /*  Introduce a change in relations with other firms */
MKTDES :$1.   /*  Introduce significant design/packaging changes */
MKTMET :$1.   /*  Introduce significantly changed sales/distribution methods */
EFORED :$1.   /*  Reduced time to respond to customers needs */
EFORQU :$1.   /*  Improved quality of goods/services */
EFORCO :$1.   /*  Reduced costs per unit output */
EFORSA :$1.   /*  Improved employee satisfaction */
Turn02 :8.   /*  Total turnover in 2002 */
Turn04 :8.   /*  Total turnover in 2004 */
Emp02 :$5.   /*  Total number of employees in 2002 (size classes) */
Emp04 :$5.   /*  Total number of employees in 2004 (size classes) */
Strb :$1.   /*  Stratum of the enterprise when sampling */
Stra :$1.   /*  Stratum of the enterprise according to the questionnaire */
Weight :$1.   /*  Weighting factors */
WeightNr :7.3   /*  Weights corrected for non-response bias */
;
LABEL 
Id = "Name of the enterprise"
Nuts = "Address"
Nace = "Main economic activity"
Gp = "Enterprise part of a group"
Ho = "Country of head office"
MarLoc = "Local/regional market"
MarNat = "National l market"
MarEur = "Other EU/EFTA/CC  market"
MarOth = "All other countries"
InPdgd = "Introduced onto the market a new or significantly improved good"
InPdsv = "Introduced onto the market a new or significantly improved service"
InPdtw = "Who mainly developed these products"
NewMkt = "Did the enterprise introduce a product new to the market"
NewfFrm = "Did the enterprise introduce a product new to the firm"
TurnMar = "% of turnover in new or improved products introduced during 2002-2004 that were new to the market"
TurnIn = "% of turnover in  unchanged or marginally modified products during 2002-2004 that were new to the firm"
TurnUng = "% of turnover in  unchanged or marginally modified products during 2002-2004"
INPSPD = "Introduced onto the market a new or significantly improved method of production"
INPSLG = "Introduced onto the market a new or significantly improved logistic, delivery or distribution system"
INPSSU = "Introduced onto the market a new or significantly improved supporting activities"
INPCSW = "Who mainly developed these processes"
INONAB = "Enterprise with ongoing or abandoned innovation activities"
RrdIn = "Engagement in intramural R&D"
Rdeng = "Type of engagement in R&D"
RrdEx = "Engagement in extramural R&D"
RMac = "Engagement in acquisition of machinery"
ROek = "Engagement in other external knowledge"
RPre = "Engagement in other preparation"
RTr = "Engagement in training"
RMar = "Engagement in market introduction of innovation"
RrdInX = "Expenditure in intramural R&D"
RrdExX = "Expenditure in extramural R&D"
RMacX = "Expenditure in acquisition of machinery"
ROekX = "Expenditure in other external knowledge"
RPreX = "Expenditure in other preparation"
RTrX = "Expenditure in training"
RMarX = "Expenditure in market introduction of innovation"
RTot = "Total for four expenditure categories                  Rtot =(RrdInX+ RrdExX+ RMacX+ ROekX)"
FunLoc = "Public funding from local or regional authorities"
FunGmt = "Public funding from central government"
FunEu = "Public funding from the EU"
FunRtd = "Funding from EU's 5th or 6th RTD"
Sentg = "Sources from within the enterprise or enterprise group"
Ssup = "Sources from Suppliers of equipment, materials, etc."
Scli = "Sources from Clients or customers"
Scom = "Sources from Competitors and other enterprises of same industry"
SINS = "Sources from consultants, commercial labs or private R&D institutes"
Suni = "Sources from Universities or other higher education institutes"
SGmt = "Sources from Government or public research institutes"
Scon = "Sources from professional conferences, trade fairs, meetings"
Sjou = "Sources from Scientific journals, trade/scientific publications"
Spro = "Sources from Professional and industry associations"
Co = "Cooperation arrangements on innovation activities"
Co11 = "Other enterprises within enterprise group : National"
Co12 = "Other enterprises within enterprise group : EU/EFTA/EU-CC"
Co13 = "Other enterprises within enterprise group : US"
Co14 = "Other enterprises within enterprise group : Other countries"
Co21 = "Suppliers of equipment, etc. : National"
Co22 = "Suppliers of equipment, etc. : EU/EFTA/EU-CC"
Co23 = "Suppliers of equipment, etc. : US"
Co24 = "Suppliers of equipment, etc. :  Other countries"
Co31 = "Clients or customers : National"
Co32 = "Clients or customers : EU/EFTA/EU-CC"
Co33 = "Clients or customers : US"
Co34 = "Clients or customers : Other countries"
Co41 = "Competitors or other firms  : National"
Co42 = "Competitors or other firms  : EU/EFTA/EU-CC"
Co43 = "Competitors or other firms  : US"
Co44 = "Competitors or other firms  : Other countries"
Co51 = "Consultants, commercial labs, private R&D institutes : National"
Co52 = "Consultants, commercial labs, private R&D institutes : EU/EFTA/EU-CC"
Co53 = "Consultants, commercial labs, private R&D institutes : US"
Co54 = "Consultants, commercial labs, private R&D institutes : Other countries"
Co61 = "Universities or other  : National"
Co62 = "Universities or other  : EU/EFTA/EU-CC"
Co63 = "Universities or other  : US"
Co64 = "Universities or other  : Other countries"
Co71 = "Government or public research institutes: National"
Co72 = "Government or public research institutes:  EU/EFTA/EU-CC"
Co73 = "Government or public research institutes: US"
Co74 = "Government or public research institutes: Other countries"
Pmos = "Most important co-operation partner"
ERange = "Increased range of goods or services"
EMar = "Increased market or market share"
EQua = "Improved quality in goods or services"
EFLex = "Improved production flexibility"
ECap = "Increased production capacity"
ELbr = "Reduced labour costs per produced unit"
EMat = "Reduced materials and energy per produced unit"
EEnv = "Reduced environmental impact or health and safety aspects"
EStd = "Met regulations or standards"
HCon = "Innovation activity abandoned at concept stage"
HBeg = "Innovation activity  abandoned after the activity/project begun"
HDlay = "Innovation activity seriously delayed"
HFent = "Hampering factor: Lack of funds within enterprises or ent. group"
HFout = "Hampering factor : Lack of outside funds"
HCos = "Hampering factor : Innovation costs too high"
HPer = "Hampering factor : Lack of qualified personnel"
HTec = "Hampering factor : Lack of information on technology"
HInf = "Hampering factor : Lack of information on markets"
HPar = "Hampering factor : Difficulty in finding co-operation partners"
HDom = "Hampering factor : Market dominated by established enterprises"
HDem = "Hampering factor:  Uncertain demand for innovative goods/services"
Hprior = "No innovation activity due to prior innovations"
Hmar = "No innovation activity due to no demand for innovations"
PROPAT = "Applied for a patent"
PRODSG = "Registered an industrial design"
ProTm = "Register a trademark"
ProCp = "Claimed copyright"
ORGSYS = "Introduce improved knowledge management system"
ORGSTR = "Introduce change to work organisation"
ORGREL = "Introduce a change in relations with other firms"
MKTDES = "Introduce significant design/packaging changes"
MKTMET = "Introduce significantly changed sales/distribution methods"
EFORED = "Reduced time to respond to customers needs"
EFORQU = "Improved quality of goods/services"
EFORCO = "Reduced costs per unit output"
EFORSA = "Improved employee satisfaction"
Turn02 = "Total turnover in 2002"
Turn04 = "Total turnover in 2004"
Emp02 = "Total number of employees in 2002 (size classes)"
Emp04 = "Total number of employees in 2004 (size classes)"
Strb = "Stratum of the enterprise when sampling"
Stra = "Stratum of the enterprise according to the questionnaire"
Weight = "Weighting factors"
WeightNr = "Weights corrected for non-response bias"
;
RUN;
PROC FORMAT;
VALUE $Nac2F /* Nace */
"10" = "Mining and quarying (NACE10-NACE14)"
"15" = "Manufacture of food products and beverages; manufacture of tobacco products (NACE15-NACE16)"
"17" = "Manufacture of textiles"
"18" = "Manufacture of wearing apparel, dressing and dyeing of fur"
"19" = "Tanning and dressing of leather, manufacture of luggage, handbags, saddlery, harness and footwear"
"20" = "Manufacture of wood and products of wood and cork, except furniture, manufacture of articles of straw and plaiting materials"
"21" = "Manufacture of pulp, paper and paper products"
"22" = "Publishing, printing and reproduction of recorded media"
"23" = "Manufacture of coke, refined petroleum products and nuclear fuel"
"24" = "Manufacture of chemicals and chemical products"
"25" = "Manufacture of rubber and plastic products"
"26" = "Manufacture of other non-metallic mineral products"
"27" = "Manufacture of basic metals"
"28" = "Manufacture of fabricated metal products, except machinery and equipment"
"29" = "Manufacture of machinery and equipment n.e.c.5"
"30" = "Manufacture of electrical and optical equipment"
"31" = "Manufacture of electrical machinery and apparatus n.e.c.5"
"32" = "Manufacture of radio, television and communication equipment and apparatus"
"33" = "Manufacture of medical, precision and optical instruments, watches and clocks"
"34" = "Manufacture of motor vehicles, trailers and semi-trailers"
"35" = "Manufacture of other transport equipment"
"36" = "Manufacture of furniture, manufacturing n.e.c.5"
"37" = "Recycling"
"40" = "Electricity, gas and water supply (NACE40-NACE41)"
"45" = "Construction"
"50" = "Sale, maintenance and repair of motor vehicles and motorcycles, retail sale of automotive fuel"
"51" = "Wholesale trade and commission trade, except of motor vehicles and motorcycles"
"52" = "Retail trade, except of motor vehicles and motorcycles, repair of personal and household goods"
"55" = "Hotels and restaurants"
"60" = "Land transport, transport via pipelines"
"61" = "Water transport"
"62" = "Air transport"
"63" = "Supporting and auxiliary transport activities, activities of travel agencies"
"64" = "Post and telecommunications"
"65" = "Financial intermediation, except insurance and pension funding"
"66" = "Insurance and pension funding, except compulsory social security"
"67" = "Activities auxiliary to financial intermediation"
"70" = "Real estate activities"
"71" = "Renting of machinery and equipment without operator and of personal and house"
"72" = "Computer and related activities"
"73" = "Research and development"
"74" = "Other business activities, different from Nace 742 and 743"
"742" = "architectural and engineering activities"
"743" = "technical testing and analysis"
;
VALUE $Gp3F /* Gp */
"." = "missing"
"0" = "No"
"1" = "Yes"
;
VALUE $Ho4F /* Ho */
"." = "missing or non applicable"
"0" = "the enterprise does not belong to a group"
"1" = "Home country (Italy)"
"2" = "Europe + Candidate Countries + EFTA countries (Austria, Belgium, Germany, Denmark, Spain, Finland, France, United Kingdom, Greece, Ireland, Iceland, Liechtenstein, Luxembourg, Malta, The Netherlands, "
"3" = "rest of the world (Argentina, Australia, Bermude, Canada, Chile, China, Israel, Iran, Japan, Kuwait, New Caledonia, Saudi Arabia, Singapore, El Salvador, Turkey, Taiwan, United States of America, Virg"
;
VALUE $Mar5F /* MarLoc */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Mar6F /* MarNat */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Mar7F /* MarEur */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Mar8F /* MarOth */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $InP9F /* InPdgd */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $InP10F /* InPdsv */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $InP11F /* InPdtw */
"." = "missing or non applicable"
"1" = "Mainly by the enterprise or enterprise group"
"2" = "In cooperation with other enterprises or institutions"
"3" = "Mainly other enterprises or institutions"
;
VALUE $New12F /* NewMkt */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $New13F /* NewfFrm */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $INP17F /* INPSPD */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $INP18F /* INPSLG */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $INP19F /* INPSSU */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $INP20F /* INPCSW */
"." = "missing"
"1" = "Mainly by the enterprise or enterprise group"
"2" = "Inn cooperation with other enterprises or institutions"
"3" = "Mainly other enterprises or institutions"
;
VALUE $INO21F /* INONAB */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Rrd22F /* RrdIn */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Rde23F /* Rdeng */
"." = "missing or non applicable"
"1" = "continuously"
"2" = "occasionally"
;
VALUE $Rrd24F /* RrdEx */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $RMa25F /* RMac */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $ROe26F /* ROek */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $RPr27F /* RPre */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $RTr28F /* RTr */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $RMa29F /* RMar */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Fun38F /* FunLoc */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Fun39F /* FunGmt */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Fun40F /* FunEu */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Fun41F /* FunRtd */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Sen42F /* Sentg */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Ssu43F /* Ssup */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Scl44F /* Scli */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Sco45F /* Scom */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $SIN46F /* SINS */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Sun47F /* Suni */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $SGm48F /* SGmt */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Sco49F /* Scon */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Sjo50F /* Sjou */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Spr51F /* Spro */
"." = "missing or non applicable"
"0" = "Not used"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Co52F /* Co */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co153F /* Co11 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co154F /* Co12 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co155F /* Co13 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co156F /* Co14 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co257F /* Co21 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co258F /* Co22 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co259F /* Co23 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co260F /* Co24 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co361F /* Co31 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co362F /* Co32 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co363F /* Co33 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co364F /* Co34 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co465F /* Co41 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co466F /* Co42 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co467F /* Co43 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co468F /* Co44 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co569F /* Co51 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co570F /* Co52 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co571F /* Co53 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co572F /* Co54 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co673F /* Co61 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co674F /* Co62 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co675F /* Co63 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co676F /* Co64 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co777F /* Co71 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co778F /* Co72 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co779F /* Co73 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Co780F /* Co74 */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $ERa82F /* ERange */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EMa83F /* EMar */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EQu84F /* EQua */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EFL85F /* EFLex */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $ECa86F /* ECap */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $ELb87F /* ELbr */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EMa88F /* EMat */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EEn89F /* EEnv */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $ESt90F /* EStd */
"." = "missing or non applicable"
"0" = "Not relevant"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HCo91F /* HCon */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $HBe92F /* HBeg */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $HDl93F /* HDlay */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $HFe94F /* HFent */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HFo95F /* HFout */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HCo96F /* HCos */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HPe97F /* HPer */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HTe98F /* HTec */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HIn99F /* HInf */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HPa100F /* HPar */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HDo101F /* HDom */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $HDe102F /* HDem */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Hpr103F /* Hprior */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Hma104F /* Hmar */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $PRO105F /* PROPAT */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $PRO106F /* PRODSG */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Pro107F /* ProTm */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $Pro108F /* ProCp */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $ORG109F /* ORGSYS */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $ORG110F /* ORGSTR */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $ORG111F /* ORGREL */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $MKT112F /* MKTDES */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $MKT113F /* MKTMET */
"." = "missing or non applicable"
"0" = "No"
"1" = "Yes"
;
VALUE $EFO114F /* EFORED */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EFO115F /* EFORQU */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EFO116F /* EFORCO */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $EFO117F /* EFORSA */
"." = "missing or non applicable"
"0" = "Not experienced"
"1" = "Low"
"2" = "Medium"
"3" = "High"
;
VALUE $Emp120F /* Emp02 */
"1" = "0-49 employees"
"2" = "50-249 employees"
"3" = "more than 250 employees"
"2_3" = "only for NACE 10, 19,20, 23, 50, 61, 64, 67, 70, 73, 742 and 743, class 2 and class 3 are aggregated into a new one, category 2_3"
"1_2_3" = "only for NACE 30, 37, 62 and 71 all number of employees classes are aggregated into a single one, category 1_2_3"
;
VALUE $Emp121F /* Emp04 */
"1" = "0-49 employees"
"2" = "50-249 employees"
"3" = "more than 250 employees"
"2_3" = "only for NACE 10, 19,20, 23, 50, 61, 64, 67, 70, 73, 742 and 743, class 2 and class 3 are aggregated into a new one, category 2_3"
"1_2_3" = "only for NACE 30, 37, 62 and 71 all number of employees classes are aggregated into a single one, category 1_2_3"
;
format Nace $Nac2F.;
format Gp $Gp3F.;
format Ho $Ho4F.;
format MarLoc $Mar5F.;
format MarNat $Mar6F.;
format MarEur $Mar7F.;
format MarOth $Mar8F.;
format InPdgd $InP9F.;
format InPdsv $InP10F.;
format InPdtw $InP11F.;
format NewMkt $New12F.;
format NewfFrm $New13F.;
format INPSPD $INP17F.;
format INPSLG $INP18F.;
format INPSSU $INP19F.;
format INPCSW $INP20F.;
format INONAB $INO21F.;
format RrdIn $Rrd22F.;
format Rdeng $Rde23F.;
format RrdEx $Rrd24F.;
format RMac $RMa25F.;
format ROek $ROe26F.;
format RPre $RPr27F.;
format RTr $RTr28F.;
format RMar $RMa29F.;
format FunLoc $Fun38F.;
format FunGmt $Fun39F.;
format FunEu $Fun40F.;
format FunRtd $Fun41F.;
format Sentg $Sen42F.;
format Ssup $Ssu43F.;
format Scli $Scl44F.;
format Scom $Sco45F.;
format SINS $SIN46F.;
format Suni $Sun47F.;
format SGmt $SGm48F.;
format Scon $Sco49F.;
format Sjou $Sjo50F.;
format Spro $Spr51F.;
format Co $Co52F.;
format Co11 $Co153F.;
format Co12 $Co154F.;
format Co13 $Co155F.;
format Co14 $Co156F.;
format Co21 $Co257F.;
format Co22 $Co258F.;
format Co23 $Co259F.;
format Co24 $Co260F.;
format Co31 $Co361F.;
format Co32 $Co362F.;
format Co33 $Co363F.;
format Co34 $Co364F.;
format Co41 $Co465F.;
format Co42 $Co466F.;
format Co43 $Co467F.;
format Co44 $Co468F.;
format Co51 $Co569F.;
format Co52 $Co570F.;
format Co53 $Co571F.;
format Co54 $Co572F.;
format Co61 $Co673F.;
format Co62 $Co674F.;
format Co63 $Co675F.;
format Co64 $Co676F.;
format Co71 $Co777F.;
format Co72 $Co778F.;
format Co73 $Co779F.;
format Co74 $Co780F.;
format ERange $ERa82F.;
format EMar $EMa83F.;
format EQua $EQu84F.;
format EFLex $EFL85F.;
format ECap $ECa86F.;
format ELbr $ELb87F.;
format EMat $EMa88F.;
format EEnv $EEn89F.;
format EStd $ESt90F.;
format HCon $HCo91F.;
format HBeg $HBe92F.;
format HDlay $HDl93F.;
format HFent $HFe94F.;
format HFout $HFo95F.;
format HCos $HCo96F.;
format HPer $HPe97F.;
format HTec $HTe98F.;
format HInf $HIn99F.;
format HPar $HPa100F.;
format HDom $HDo101F.;
format HDem $HDe102F.;
format Hprior $Hpr103F.;
format Hmar $Hma104F.;
format PROPAT $PRO105F.;
format PRODSG $PRO106F.;
format ProTm $Pro107F.;
format ProCp $Pro108F.;
format ORGSYS $ORG109F.;
format ORGSTR $ORG110F.;
format ORGREL $ORG111F.;
format MKTDES $MKT112F.;
format MKTMET $MKT113F.;
format EFORED $EFO114F.;
format EFORQU $EFO115F.;
format EFORCO $EFO116F.;
format EFORSA $EFO117F.;
format Emp02 $Emp120F.;
format Emp04 $Emp121F.;
RUN;
